Шаблон:Бегущая строка/styles.css

Материал из Space Station 14 Вики
.ticker {
    width: 100%;
    overflow: hidden;
    position: relative;
    white-space: nowrap;
}

.ticker__track {
    display: inline-flex;
    width: max-content;
    animation: ticker-scroll 30s linear infinite;
}

.ticker__track span {
    display: inline-block;
    flex-shrink: 0;
    padding-right: 80px;
}

@keyframes ticker-scroll {
    from {
        transform: translateX(100%);
    }

    to {
        transform: translateX(-100%);
    }
}